Skip to Content

A delivery note became `authorized`

Request Body

application/json
  1. body
id*string

The event's id, also its webhook-id header: deduplicate by it.

Formatuuid
type*"delivery_note.authorized"
Value in"delivery_note.authorized"
timestamp*string
Formatdate-time
backfill?true

Present, and true, only on a delivery a backfill replayed (POST /v1/webhook-endpoints/{id}/backfill).

Value intrue
data*

Response Body

Any 2xx within 15 seconds acknowledges it; anything else is retried.

Example Requests
POST/delivery_note.authorized
Request Body
application/json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "type": "delivery_note.authorized",
  "timestamp": "2019-08-24T14:15:22Z",
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "country": "ec",
    "currency": "string",
    "environment": "sandbox",
    "status": "pending",
    "status_transitions": {},
    "business_id": "f59fcbb7-848d-4242-af07-a8bb7e3ab37c",
    "number": "string",
    "access_key": "stringstringstringstringstringstringstringstrings",
    "authorization": {
      "number": "string",
      "authorized_at": "2019-08-24T14:15:22Z"
    },
    "sri_messages": [
      {
        "code": "string",
        "message": "string",
        "detail": "string",
        "type": "error",
        "cause": "string",
        "remedy": "string"
      }
    ],
    "metadata": {
      "property1": "string",
      "property2": "string"
    },
    "issued_at": "2019-08-24T14:15:22Z",
    "delivery_status": "sent",
    "emails": [
      {
        "to": "string",
        "status": "sent",
        "sent_at": "2019-08-24T14:15:22Z",
        "delivered_at": "2019-08-24T14:15:22Z",
        "opened_at": "2019-08-24T14:15:22Z",
        "bounced_at": "2019-08-24T14:15:22Z",
        "complained_at": "2019-08-24T14:15:22Z",
        "bounce_type": "permanent"
      }
    ],
    "portal_views": 0,
    "portal_last_viewed_at": "2019-08-24T14:15:22Z",
    "channel": "api",
    "import_id": "13230382-dadc-41f2-963d-e123bd5c0585",
    "verification": "sri",
    "listing": {
      "import_id": "13230382-dadc-41f2-963d-e123bd5c0585",
      "file": "string",
      "entry": "string",
      "sha256": "stringstringstringstringstringstringstringstringstringstringstri",
      "line": 1,
      "authorized_at": "2019-08-24T14:15:22Z"
    },
    "object": "document",
    "type": "delivery_note",
    "issue_date": "2019-08-24",
    "origin_address": "string",
    "carrier": {
      "identification_type": "ruc",
      "identification": "string",
      "name": "string"
    },
    "plate": "string",
    "transport_start": "string",
    "transport_end": "string",
    "recipients": [
      {
        "identification": "string",
        "name": "string",
        "address": "string",
        "email": "string",
        "reason": "string",
        "route": "string",
        "customs_document": "string",
        "destination_establishment": "string",
        "support_document": {
          "document_type": "factura",
          "number": "string",
          "issue_date": "2019-08-24",
          "authorization_number": "string"
        },
        "items": [
          {
            "code": "string",
            "auxiliary_code": "string",
            "description": "string",
            "quantity": "string",
            "additional_info": [
              {
                "name": "string",
                "value": "string"
              }
            ]
          }
        ]
      }
    ],
    "fiscal_machine": {
      "brand": "string",
      "model": "string",
      "serial": "string"
    },
    "additional_info": [
      {
        "name": "string",
        "value": "string"
      }
    ],
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}